package com.ttiglobal.inttilectgpchat.blog.Modal;

import java.util.ArrayList;

public class Blog {
    private String user_id;
    private String file_url;
    private String date_time;
    private String blog_title;
    private String blog_desc;
    private String file_type;
    private String thumb_url;
    private String ref_id;
    private String sender_name;
    private String is_ho_approved;
    private String is_ho_rejected;
    private ArrayList<Comment> message;
    private ArrayList<String> like_id;

    public Blog() {
    }

    public Blog(String user, String furl, String time, String title, String details, String filetype, String sendername, String refereencId, String thumb_url, ArrayList<Comment> data, ArrayList<String> likeid,String ishoapproved,String ishorejected) {
        user_id = user;
        file_url = furl;
        date_time = time;
        blog_title = title;
        blog_desc = details;
        file_type = filetype;
        sender_name = sendername;
        ref_id = refereencId;
        this.thumb_url = thumb_url;
        message = data;
        like_id = likeid;
        is_ho_approved = ishoapproved;
        is_ho_rejected = ishorejected;
    }

    public String getUser_id() {

        return user_id;
    }

    public void setUser_id(String user_id) {

        this.user_id = user_id;
    }

    public String getFile_url() {

        return file_url;
    }

    public void setFile_url(String file_url) {

        this.file_url = file_url;
    }

    public String getDate_time() {

        return date_time;
    }

    public String getFile_type() {

        return file_type;
    }

    public void setFile_type(String file_type) {

        this.file_type = file_type;
    }

    public void setDate_time(String date_time) {

        this.date_time = date_time;
    }

    public String getBlog_title() {

        return blog_title;
    }

    public void setBlog_title(String blog_title) {

        this.blog_title = blog_title;
    }

    public String getBlog_desc() {

        return blog_desc;
    }

    public void setBlog_desc(String blog_desc) {

        this.blog_desc = blog_desc;
    }

    public String getThumb_url() {

        return thumb_url;
    }

    public void setThumb_url(String thumb_url) {

        this.thumb_url = thumb_url;
    }

    public ArrayList<Comment> getMessage() {

        return message;
    }

    public void setMessage(ArrayList<Comment> message) {

        this.message = message;
    }

    public String getRef_id() {

        return ref_id;
    }

    public void setRef_id(String ref_id) {

        this.ref_id = ref_id;
    }

    public String getSender_name() {

        return sender_name;
    }

    public void setSender_name(String sender_name) {

        this.sender_name = sender_name;
    }

    public ArrayList<String> getLike_id() {

        return like_id;
    }

    public void setLike_id(ArrayList<String> like_id) {

        this.like_id = like_id;
    }

    public String getIs_ho_approved() {

        return is_ho_approved;
    }

    public void setIs_ho_approved(String is_ho_approved) {

        this.is_ho_approved = is_ho_approved;
    }

    public String getIs_ho_rejected() {

        return is_ho_rejected;
    }

    public void setIs_ho_rejected(String is_ho_rejected) {

        this.is_ho_rejected = is_ho_rejected;
    }
}
